@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


.box-left {
    
    opacity: 0;
    transform: translateX(-100px);
    /*transform:scale(.8) translateX(-100px);*/
    transition: opacity 0.5s, transform 0.5s;
}

.box-bottom {
    
    opacity: 0;
    transform: translateY(80px) scale(.8);
    /*transform:scale(.8) translateY(80px);*/
    transition: opacity 0.5s, transform .7s cubic-bezier(0.25, 1.25, 0.5, 1);

}
.imgProject  {
    display: flex;
    justify-content: center;
    padding-top: 20px;
    align-items: start;
    overflow: hidden;
    height: 300px;
    border-radius: 20px;
    transition: all 1s cubic-bezier(0.25, 1.25, 0.5, 1);
}

.imgProject img {
    transition: all 1s cubic-bezier(0.25, 1.25, 0.5, 1);
    width: 90%;
    filter: grayscale(1);
    border-radius: 20px;
}
.imgProject:hover img {
    transform: scale(1.2);
    box-shadow: 0px 2px 15px 0px rgba(0, 0, 0, 0.03);
}
.box-right {
    
    opacity: 0;
    transform: translateX(100px);
    /*transform:scale(.8) translateX(100px);*/
    transition: opacity 0.5s, transform 0.5s;
}

/* HTML: <div class="loader"></div> */
.loaderShape {
    width: 80px;
    aspect-ratio: 1;
    border: 10px solid #0000;
    box-sizing: border-box;
    background: 
      radial-gradient(farthest-side,#fff 98%,#0000) 0    0/20px 20px,
      radial-gradient(farthest-side,#fff 98%,#0000) 100% 0/20px 20px,
      radial-gradient(farthest-side,#fff 98%,#0000) 100% 100%/20px 20px,
      radial-gradient(farthest-side,#fff 98%,#0000) 0 100%/20px 20px,
      linear-gradient(#fff 0 0) 50%/40px 40px,
      #000;
    background-repeat:no-repeat;
    filter: blur(4px) contrast(10);
    animation: l12 0.8s infinite;
  }
  @keyframes l12 {
    100%  {background-position:100% 0,100% 100%,0 100%,0 0,center}
  }

.container-img-move {
    position: relative;
    width: 20vw;
    height: 20vw;
    overflow: hidden;
}

.img-move {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: all 0.1s ease;
    pointer-events: none;
    /* Deshabilita la interacción directa del mouse con la imagen */
}

.box-right.show,
.box-left.show,
.box-bottom.show {
    opacity: 1;
    transform: scale(1);
    transform: translateX(0);
}


.shapeLogin {
    width: 100vw;
    position: fixed;
    right: -50vw;
    bottom: -30vh;
    z-index: -100;
}

.bar {
    width: 50px;
}

.banner {
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100vw;
    z-index: 99999;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 30px;
    flex-direction: column;
    background: rgba(22, 22, 22, 0.97);
    backdrop-filter: blur(10px);
    color: white;
    overflow: hidden;
    transition: all .5s;
}

.banner::before {
    content: '';
    background-image: url('../Images/banner.svg');
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 30px;
    left: -30px;
}
.banner::after {
    content: '';
    background-image: url('../Images/banner.svg');
    background-repeat: no-repeat;
    background-position: right;
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 40px;
    right: -30px;
}
.windowArt {
    border: solid #ECEEF2 2px;
    border-radius: 20px;
    background-size: 110%;
    background-attachment: fixed;
    overflow: hidden;
    background-repeat: repeat;
    background-color: #000;
}



.circle {
    position: fixed;
    top: -50px;
    left: -50px;
    width: 20px;
    height: 20px;
    background-color: white;
    border-radius: 500px;
    pointer-events: none;
    z-index: 99999;
    mix-blend-mode: difference;
    transition: all 1s cubic-bezier(0.25, 1.25, 0.5, 1);
    transform: scale(1);
}

.fixedVer {
    width: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 20px;
    left: calc(50% - 100px);
}

.imageProfile {
    width: 55px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 18px;
}

.loader {
    width: 100vw;
    height: 100vh;
    overflow: none;
    background-color: #000000;
    display: flex;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    transition: all 3s;
    z-index: 10000000000;
    position: fixed;
    top: 0;
    left: 0;
}

.loader img {
    position: fixed;
    width: 30px;
    opacity: .4;
    bottom: 40px;
    left: calc(50% - 15px);
}

@keyframes rotatesImg {
    50% {
        transform: scale(1.2) rotate(360deg);
    }

    100% {
        transform: scale(1) rotate(360deg);
    }
}

.graphic {
    border-radius: 36px;
    background: #FFF;
    box-shadow: 4px 4px 20px 0px rgba(193, 193, 193, 0.1);
}

.bar {
    color: white;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: center;
    height: 200px;
}

.black {
    background-color: #000000;
}

.red {
    background-color: #E10043;
}

.blue {
    background-color: #0090E1;
}

.green {
    background-color: #00C880;
}

.line {
    width: 100%;
    height: 2px;
    background-color: #c1c1c1;
}

.contentDevices {
    display: flex;
    width: 100%;
    height: auto;
    gap: auto;
    justify-content: space-between;
    align-items: flex-start;
    align-content: flex-start;
    flex-wrap: wrap;
}

.scroll {
    overflow-y: scroll;
}

.scroll::-webkit-scrollbar {
    width: 5px;
    background-color: #f5f7f900;
}

.scroll::-webkit-scrollbar-thumb {
    background: #3a3a3a00;
}

.bgWindow {
    width: 100vw;
    height: 100vh;
    background-color: rgba(61, 61, 61, 0.5);
    backdrop-filter: blur(10px);
    position: fixed;
    top: 0;
    display: flex;
    z-index: 1000;
    justify-content: center;
    align-items: center;
    left: 0;
    transition: all .3s;
    overflow: hidden;
    box-sizing: border-box;
    z-index: -1000;
    /*this is */
    opacity: 0;
    /*this is */
}

.window {
    padding: 15px 0px 30px 0px;
    border-radius: 28px;
    transition: all .3s;
    transform: scale(0);
    background-color: #fff;
}

.windowMobile {
    display: none;
}
.windowDesktop {
    display: flex;
}
.filterImages img {
    filter: grayscale(1);
    transition: all 1s;
}
.filterImages img:hover {
    filter: grayscale(0);
    transform: translate(0px,-10px);
}
.alertForm {
    background-color: rgb(0, 0, 0);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    transition: opacity 1s ease-in-out;
    color: rgb(255, 255, 255);
    font-size: 20px;
    border-radius: 10px;
    opacity: 0;
}
@media screen and (max-width: 530px) {
    .imgProject  {
        height: 200px;
    }
    .windowMobile {
        display: flex;
    }
    .windowDesktop {
        display: none;
    }
    .windowArt {
        width: 100%;
    }
    .banner::before {
        content: '';
        background-image: url('../Images/banner.svg');
        background-repeat: no-repeat;
        width: 100%;
        opacity: .3;
        height: 100%;
        position: absolute;
        top: 60px;
        left: -30px;
    }
    .banner::after {
        content: '';
        background-image: url('../Images/banner.svg');
        background-repeat: no-repeat;
        background-position: right;
        width: 100%;
        height: 100%;
        opacity: .3;
        position: absolute;
        bottom: 60px;
        right: -30px;
    }
}

.profilePhoto {
    max-width: 200px;
    max-height: 200px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
.profilePhoto img {
    width: 130%;
    object-fit: cover;
}